Bug 150234 - Cookie leak in squid
Summary: Cookie leak in squid
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=20050302,source=gen...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-03 21:07 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: 7:2.5.STABLE9-1.FC3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 18:59:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-03-03 21:07:31 UTC
+++ This bug was initially created as a clone of Bug #150232 +++

A race window has been discovered where Set-Cookie headers may leak to another
users if the requested server relies on the now (since 1997) obsolete Netscape
Set-Cookie specifications in how caches should handle the Set-Cookie header on
otherwise cacheable content.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-setcookie

Comment 1 Josh Bressers 2005-03-03 21:08:14 UTC
This issue should also affect FC2.


Note You need to log in before you can comment on or make changes to this bug.